Subject: Re: What's cooking in git.git (Apr 2014, #01; Fri, 4)

From: Torsten Bögershausen <[email-masked]>
Date: Tue, 08 Apr 2014 11:03:50 +0200

On 04/07/2014 09:42 PM, Ramsay Jones wrote:
> On 07/04/14 19:35, Johannes Sixt wrote:
>> Am 05.04.2014 11:19, schrieb Johannes Sixt:
>>> Am 04.04.2014 22:58, schrieb Junio C Hamano:
>>>> * sz/mingw-index-pack-threaded (2014-03-19) 1 commit
>>>>   - Enable index-pack threading in msysgit.
>>>>
>>>>   What is the status of this topic?  A failure report exists
>>>>   ($gmane/245170), and I am aware of Duy's $gmane/245034 but that was
>>>>   where the discussion stalled.  Is everybody waiting for everybody
>>>>   else to get the discussion unstuck?
>>> I still have to cross-check Duy's patch. I'll hopefully get to it in the
>>> next days and report back.
>> The test suite passes with Duy's patch ($gmane/245034), but t5302 fails
>> with this patch with a MinGW build. The patches touch the Cygwin
>> configuration, but I cannot test a Cygwin build.
> I haven't tested these on cygwin yet. However, only the old version of
> cygwin is affected (newer cygwin has a thread-safe pread) and, since I
> no longer have an old installation, I _can't_ test it anyway. :(
> (I updated cygwin earlier today and received a brand new cygwin dll
> with today's date!).
>
>> I have, however, lost track of what the objective of these patches is.
>> Is the threaded version significantly faster, and these patches are
>> worth it?
> Indeed. I haven't seen any numbers.
>
> ATB,
> Ramsay Jones
>
CYGWIN:
I managed to test under cygwin 1.7, commit 
03d9d2990b718ef6d859405af399f549c186b4d:
Test was OK.

MINWW: t5302 failed (same what Johannas reported)
  After reverting 9d66f2d97a97e08ae8d7c86 t5302 passed under MINGW

HTH
/Torsten